clc
close all
clear


load micm1
aa1=BKDatos(:,1);
da1=BKDatos(:,2)*55.3;
load micm2
aa2=BKDatos(:,1);
da2=BKDatos(:,2)*55.3;
load micm3
aa3=BKDatos(:,1)/1000;
da3=BKDatos(:,2)*55.3;


%oscilador en 20[HZ] aproximadamente
for i=11:26
    f1(i-10,1)=da3(i,1);
end
xa1=10:1:25;
figure(1)
plot(xa1,f1)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 1')

y(1,1)=max(f1);


%oscilador en 36[HZ] aproximadamente
for i=31:41
    f2(i-30,1)=da3(i,1);
end
xa2=30:1:40;
figure(2)
plot(xa2,f2)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 2')

y(1,2)=max(f2);


%oscilador en 64.51[HZ] aproximadamente
for i=51:76
    f3(i-50,1)=da3(i,1);
end
xa3=50:1:75;
figure(3)
plot(xa3,f3)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 3')

y(1,3)=max(f3);

%oscilador en 147[HZ] aproximadamente
for i=131:161
    f4(i-130,1)=da3(i,1);
end
xa4=130:1:160;
figure(4)
plot(xa4,f4)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 4')

y(1,4)=max(f4);


%oscilador en 238[HZ] aproximadamente
for i=241:251
    f5(i-240,1)=da3(i,1);
end
xa5=240:1:250;
figure(5)
plot(xa5,f5)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 5')

y(1,5)=max(f5);


%oscilador en 476[HZ] aproximadamente
for i=471:501
    f6(i-470,1)=da3(i,1);
end
xa6=470:1:500;
figure(6)
plot(xa6,f6)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 6')

y(1,6)=max(f6);

%oscilador en 1.15[kHZ] aproximadamente
for i=142:147
    f7(i-141,1)=da2(i,1);
end
xal7=length(f7);
xa7=linspace(1130,1170,xal7);
figure(7)
plot(xa7,f7)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 7')

y(1,7)=max(f7);

%oscilador en 2.06[kHZ] aproximadamente
for i=251:269
    f8(i-250,1)=da2(i,1);
end
xal8=length(f8);
xa8=linspace(2000,2150,xal8);
figure(8)
plot(xa8,f8)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 8')

y(1,8)=max(f8);

%oscilador en 4.44[kHZ] aproximadamente
for i=551:563
    f9(i-550,1)=da2(i,1);
end
xal9=length(f9);
xa9=linspace(4400,4500,xal9);
figure(9)
plot(xa9,f9)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 9')

y(1,9)=max(f9);

%oscilador en 7.69[kHZ] aproximadamente
for i=228:238
    f10(i-227,1)=da1(i,1);
end
xal10=length(f10);
xa10=linspace(7300,7600,xal10);
figure(10)
plot(xa10,f10)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 10')

y(1,10)=max(f10);


%oscilador en 16.9[kHZ] aproximadamente
for i=527:532
    f11(i-526,1)=da1(i,1);
end
xal11=length(f11);
xa11=linspace(16850,17000,xal11);
figure(11)
plot(xa11,f11)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 11')

y(1,11)=max(f11);

%oscilador en 20.8[kHZ] aproximadamente
for i=651:660
    f12(i-650,1)=da1(i,1);
end
xal12=length(f12);
xa12=linspace(20800,21100,xal12);
figure(12)
plot(xa12,f12)
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Seal en el Dominio de la Frecuencia Oscilador 12')

y(1,12)=max(f12);

%graficando respuestas obtenidas en el CCADET
figure(13)
subplot(3,1,3);plot(aa1,da1);
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Espectro completo, resolucin 32[Hz], 801 Datos')

subplot(3,1,2);plot(aa2,da2);
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Espectro hasta 6.4[kHz] resolucin de 8 [Hz], 801 Datos')

subplot(3,1,1);plot(aa3,da3);
xlabel('Frecuencia [Hz]'),ylabel('Amplitud [V]')
title('Espectro hasta 800[Hz] resolucin de 1 [Hz], 801 Datos')

XX=[20.04 35.71 64.51 147.058 238.095 476.19 1136.3 2080 4444 7690 16949.1 20833.3];


pp=20.04:0.1:20833.3;
r=spline(XX,y,pp);

figure(14)
subplot(2,1,1);plot(XX,y)
AXIS([0 22000 min(y)-0.2 max(y)+0.2]);
xlabel('frecuencia'),ylabel('Amplitud [V]'),title('Datos Anlisis en Frecuencia CCADET')
grid

subplot(2,1,2);plot(XX,y,'o',pp,r)
AXIS([0 22000 min(y)-0.2 max(r)+0.2]);
xlabel('frecuencia'),ylabel('Amplitud [V]'),title('Respuesta en frecuencia, Polinomio regresin cbica CCADET')
grid

figure(15)
subplot(2,1,1);semilogx(XX,y)
AXIS([0 22000 min(y)-0.2 max(y)+0.2]);
xlabel('frecuencia'),ylabel('Amplitud [V]'),title('Datos Anlisis en Frecuencia CCADET')
grid

subplot(2,1,2);semilogx(XX,y,'o',pp,r)
AXIS([0 22000 min(y)-0.2 max(r)+0.2]);
xlabel('frecuencia'),ylabel('Amplitud [V]'),title('Respuesta en frecuencia, Polinomio regresin cbica CCADET')
grid